import { defineStore } from "pinia";

export const useStatusStore = defineStore("status", {
  state:() => ({
    orderStatus: "",
    adStatus: ""
  }),
  
  actions: {
    setOrderStatus(orderStatus) {
      this.orderStatus = orderStatus
      console.log(orderStatus);
      
    },
    setAdStatus(adStatus) {
      this.adStatus = adStatus
      console.log(adStatus);
      
    }
  }
})

// 使用
/*
<script setup>
import { useCounterStore } from '~/stores/counter'
const counterStore = useCounterStore()
</script>
<template>
  <div>
    <p>Count: {{ counterStore.count }}</p>
    <button @click="counterStore.increment">Increment</button>
  </div>
</template> 
*/